12.10.2019 12:50    

BLack|E
Alıntı
alumina :
Alıntı
BLack|E :

secim cercevesi acili hareket edecek ne demek?


Aşağıdaki fotoğraf gibi hocam.

12.10.2019 14:59    

alumina
Alıntı
BLack|E :


Ilk basta sordugum buydu. Acili select islemini autocad de manuel olarak yapabiliyor musun?

12.10.2019 19:42    

BLack|E
Alıntı
alumina :
Alıntı
BLack|E :


Ilk basta sordugum buydu. Acili select islemini autocad de manuel olarak yapabiliyor musun?


Bildiğim kadarıyla hayır, yapamıyoruz.

12.10.2019 20:02    

alumina
Alıntı
BLack|E :

O halde not al,
KURAL1: Autocad de manuel olarak yapilmayan hic bir sey lisple de yapilamaz..

12.10.2019 20:16    

BLack|E
Alıntı
alumina :
Alıntı
BLack|E :

O halde not al,
KURAL1: Autocad de manuel olarak yapilmayan hic bir sey lisple de yapilamaz..


Teşekkürler

13.10.2019 05:56    

Travaci
Gideceğin yeri koordinatları biliyorsan
Kod:

(ssget "_CP" '((1 1) (3 1) (5 2) (2 4)))

Bu şekilde yapabilirsin.

13.10.2019 11:42    

BLack|E
Alıntı
Travaci :
Gideceğin yeri koordinatları biliyorsan
Kod:

(ssget "_CP" '((1 1) (3 1) (5 2) (2 4)))

Bu şekilde yapabilirsin.


Travaci hocam güzel bir yol gösterdiniz, Teşekkür ederim.
Kordinatları kullanıcının seçmesini istedim.
Crossing poligon ile seçim yöntemi ile belirlediğim nokta sınırları dışında kalan nesneleri de seçtiriyordu.
Window Poligon yöntemi ile nokta içinde kalan nesneleri seçtirdim.
Tam istediğimde buydu aşağıdaki kod ortaya çıktı
Kod:

(setq p1 (getpoint "\n1.Nokta:"))
(setq p2 (getpoint p1 "\n2.Nokta:"))
(setq p3 (getpoint p2 "\n3.Nokta:"))
(setq p4 (getpoint p3 "\n4.Nokta:"))
(setq kord (list
(list (car p1)(cadr p1))
(list (car p2)(cadr p2))
(list (car p3)(cadr p3))
(list (car p4)(cadr p4))))
(setq secim1 (ssget "_WP" kord ))

19.10.2019 19:08    

BLack|E
Merhabalar
Aşağıdaki kod ile 4 köşe çizgi seçip bu köşelerin kesişim noktalarından
pline çizdirip, bu pline'nin mesela 5mm dışından
command trim fence ile bu dört köşeli poligon şeklin
dışındakileri trim'lemekti amacım fakat bu şekil poligon olduğu için polar'a açı değerlerini giremedim .
Bu konuda ne yapabilirim yardımcı olabilirseniz sevinirim.

Kod:

(defun c:te ()
(setq ci1 (car (entsel "\n1.Cizgi...")))
(setq ci2 (car (entsel "\n2.Cizgi...")))
(setq ci3 (car (entsel "\n3.Cizgi...")))
(setq ci4 (car (entsel "\n4.Cizgi...")))
(setq
ci1s (cdr (assoc 10 (entget ci1)))
ci1f (cdr (assoc 11 (entget ci1)))
ci2s (cdr (assoc 10 (entget ci2)))
ci2f (cdr (assoc 11 (entget ci2)))
ci3s (cdr (assoc 10 (entget ci3)))
ci3f (cdr (assoc 11 (entget ci3)))
ci4s (cdr (assoc 10 (entget ci4)))
ci4f (cdr (assoc 11 (entget ci4))))
(setq
kes1 (inters ci1s ci1f ci2s ci2f nil)
kes2 (inters ci2s ci2f ci3s ci3f nil)
kes3 (inters ci3s ci3f ci4s ci4f nil)
kes4 (inters ci4s ci4f ci1s ci1f nil))

.bu satırlara polar ile dört köşeli poligonun 5mm dışındaki yeni poligon şeklin ofset gibi düşünün, bu noktaları bulmayı düşünüyorum

(command "_.pline" kes1 kes2 kes3 kes4 "c" "")

.bu satıra trim komutunu çalıştırmayı düşünüyorum

(princ)
)

BLack|E (19.10.2019 20:17 GMT)

19.10.2019 20:59    

Travaci
Pedit ile seçtiğin çizgileri plyline a çevirip offset yap

Kod:

(vl-remove-if '(lambda(a) (/= (car a) 10)) (entget (entlast)))


Dxf kodlarından yukarıdaki gibi 10 olmayanları silerek koordinat listesi elde edebilirsin.

20.10.2019 15:43    

BLack|E
Alıntı
Travaci :
Pedit ile seçtiğin çizgileri plyline a çevirip offset yap

Kod:

(vl-remove-if '(lambda(a) (/= (car a) 10)) (entget (entlast)))


Dxf kodlarından yukarıdaki gibi 10 olmayanları silerek koordinat listesi elde edebilirsin.


pedit ile çizgileri plyline'ye çevirmeye gerek varmıydı hocam bunu aşağıdaki kod ile gerçekleştirmiş olmam lazım.
Kod:

(command "_.pline" kes1 kes2 kes3 kes4 "c" "")

ayrıca dxf kodlarından 10 olmayanları silerek ne yapmaya çalışacağımızı anlamadım :)

20.10.2019 22:54    

Travaci
"dört köşeli poligonun 5mm dışındaki yeni poligon şeklin ofset gibi düşünün"
Sen demedin mi ? . Ofsetleyip yeni çizdiğimiz plygonun koordinatlarını yukarıdaki gibi dxf kodlarından 10 olmayanları silerek sadece koordinatları bırakıyoruz.

21.10.2019 06:17    

BLack|E
Anladım hocam söylemek istediğinizi, kod'u yazmayı bitirir ve başarırsam sorum yok, yapamazsam yine fikrinize başvurabilirim müsait olursanız. Kolay gelsin.

29.04.2020 10:25    

gokhaneraslan
Merhabalar, autolisp ile dikdörtgen çizimi yaparken sorun yaşamaktayım. Ekrana bakış olarak uzaktayken kenarları "5" ve "1000" girdiğimde dikdörtgen, üçgene dönüyor. Algılamıyor. Nasıl çözebilirim ?
"""
(defun c:dg ()
(terpri)
(setq en (getreal "dikdörtgenin enini giriniz :")) 1
(terpri)
(setq boy (getreal "dikdörtgenin boyunu giriniz :"))
(terpri)
(setq deg (getstring "dikdörtgenin açısını giriniz :"))
(setq rad (angtof deg ))
(terpri)
(setq kn1 (getpoint "dikdörtgenin köşe noktasını giriniz"))
(setq kn2 (polar kn1 rad en)) ;
(setq kn3 (polar kn2 (+ rad (/ pi 2)) boy))
(setq kn4 (polar kn3 (+ rad pi) en))
(command "pline" kn1 kn2 kn3 kn4 "close")
"""

29.04.2020 15:24    

ehya
gokhaneraslan




Autolisp kodlamasında command kullanırsanız osnap seçenekleri yüzünden bu sorun oluşmaktadır.
Entmake kullanmalı yada osnap seçeneklerine müdahale etmelisiniz.
En basit çözüm olarak son satırdaki kodu aşağıdaki ile değiştirin.

(command "pline" "none" kn1 "none" kn2 "none" kn3 "none" kn4 "close")

31.05.2020 00:20    

durugokhan
Merhabalar;

Şirket bilgisayarı olduğu için autocad yerine progeCAD kullanılıyor ve vlx uzantılı dosyaları progecad açmıyor. Bir ayarı veya vlx i lipse çevirme şansımız var mıdır ?

31.05.2020 01:36    

ehya
Alıntı
durugokhan :
Merhabalar;

Şirket bilgisayarı olduğu için autocad yerine progeCAD kullanılıyor ve vlx uzantılı dosyaları progecad açmıyor. Bir ayarı veya vlx i lipse çevirme şansımız var mıdır ?




Vlx uzantısının amacı kodların diğer kullanıcılar tarafından görülmesini ve değiştirilmesini engellemek içindir.
Muhtemelen bu lispi yazan kişiden açık kod isteseniz daha vermeyecektir.
En doğru olanı ProgeCad firmasından bu desteği istemek yada kullandığınız lispin başka kişiler tarafından yeniden yazılmasını istemektir.

24.07.2020 16:53    

BLack|E
Merhaba Kolay gelsin.
100-50-80 (ve devamı da olabilir) gibi içine değer yazdığım bir .dcl hücreye sahibim.
Aralarına "-" koyarak oluşturduğum değerleri liste olarak setq ile kayıt edeceğim.
fakat ben bu "-" ler den kurtulup 100, 50, 80 değerlerini nasıl teker teker çekebilirim acaba
Çünkü başka bir yerde kullanacağım bu değerleri. Müsaitseniz ve yardımcı olabilirseniz çok sevinirim.

24.07.2020 18:12    

Travaci
Alıntı
BLack|E :

Kod:

(foreach x (read (strcat "(" (vl-string-translate "-" " " "100-50-80") ")")) (print x))

23.04.2021 16:44    

BLack|E
Merhaba herkese
Cevaplanmasını umut ettiğim bir soru sormak isterim üstatlarıma
Kod:

  (setq FR (open "D:\\List.csv" "r"))
  (if fR
    (progn
      (setq sayac 0 say 100)
      (setq kgtp 0)
      (setq liste1 (read-line FR))
      (while liste1
      (setq liste1 (read-line FR))

bu kod ile List isimdeki csv uzantılı dosyaya işlem yaptırabiliyorum
ama seçtiğim klasörde farklı isimlerde onlarca csv,txt gibi dosyalara nasıl ulaşabilirim.
herbirinin ismi farklı?

23.04.2021 16:44    

BLack|E
Merhaba herkese
Cevaplanmasını umut ettiğim bir soru sormak isterim üstatlarıma
Kod:

  (setq FR (open "D:\\List.csv" "r"))
  (if fR
    (progn
      (setq sayac 0 say 100)
      (setq kgtp 0)
      (setq liste1 (read-line FR))
      (while liste1
      (setq liste1 (read-line FR))

bu kod ile List isimdeki csv uzantılı dosyaya işlem yaptırabiliyorum
ama seçtiğim klasörde farklı isimlerde onlarca csv,txt gibi dosyalara nasıl ulaşabilirim.
herbirinin ismi farklı?

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] > 41 < [42] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.724 saniye - Sorgu: 99 - Ortalama: 0.01742 saniye